Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ruby-puma: new aport

From: Jason Burks <jburks725_at_gmail.com>
Date: Thu, 12 Mar 2015 21:02:54 -0400

http://puma.io
A modern, concurrent web server for Ruby
---
 commit-msg                 |  4 ++++
 testing/ruby-puma/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)
 create mode 100644 commit-msg
 create mode 100644 testing/ruby-puma/APKBUILD
diff --git a/commit-msg b/commit-msg
new file mode 100644
index 0000000..10ab6f2
--- /dev/null
+++ b/commit-msg
_at__at_ -0,0 +1,4 @@
+testing/ruby-puma: new aport
+
+http://puma.io
+A modern, concurrent web server for Ruby
diff --git a/testing/ruby-puma/APKBUILD b/testing/ruby-puma/APKBUILD
new file mode 100644
index 0000000..546f58e
--- /dev/null
+++ b/testing/ruby-puma/APKBUILD
_at__at_ -0,0 +1,37 @@
+# Contributor: #NAME <#EMAIL#>
+# Maintainer: #NAME <#EMAIL#>
+_gemname=puma
+pkgname=ruby-puma
+pkgver=2.11.1
+pkgrel=0
+pkgdesc="Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1
server for Ruby/Rack applications."
+url="http://puma.io/"
+arch="all"
+license="BSD"
+depends="ruby openssl"
+depends_dev="ruby-dev openssl-dev"
+makedepends="$depends_dev ruby"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_realname-$pkgver
+build() {
+  return 0
+}
+
+package() {
+  local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+  local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+  mkdir -p "$pkgdir" || return 1
+
+  gem install --local --install-dir "$pkgdir"/$_gemdir \
+    --ignore-dependencies --verbose --no-rdoc --no-ri \
+    "$srcdir"/$_gemname-$pkgver.gem || return 1
+  rm -rf "$pkgdir"/$_gemdir/cache \
+    "$pkgdir"/$_geminstdir/ext \
+    "$pkgdir"/$_geminstdir/.require_paths
+}
+md5sums="de4517c67817a3ec7a6d98942d666f85  puma-2.11.1.gem"
+sha256sums="19c15d2a9ab87182f49b8535e85254d6b79d0d5b316c0448e50a92b793e6e6a4
 puma-2.11.1.gem"
+sha512sums="d6fe7e3043e2777fb6ff9a063ebb63a331450c2b982e0ff346e08c1540166bbe28392b0aa1a9bc75707c1304e57c66198846ac498407ac82e71a4a2bfae8607c
 puma-2.11.1.gem"
--
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 12 2015 - 21:02:54 GMT